
int numRectsX = 100;
int numRectsY = 100;

int [] hues = new int[numRectsX*numRectsY];

void pickColors(int minHue, int maxHue)
{
  for(int i = 0; i < numRectsX*numRectsY; i++)
  {
     hues[i] = (int)random(minHue, maxHue); 
  }
}

void setup()
{
  size(600, 600);
  noStroke();
  colorMode(HSB, 360, 100, 100);
  pickColors(180, 230); //pick blue-ish
}

void draw()
{
  background(0);
  //draw every pixel on the canvas with a nested loop
  pickColors(180, 230);
  //numRectsX = (int)map(mouseX, 0, width, 1, 100);
  //numRectsY = (int)map(mouseY, 0, width, 1, 100);
  
  float w = width/numRectsX;
  float h = width/numRectsY;
  
  for(int i = 0; i < numRectsX; i++)
  {
    for(int j = 0; j < numRectsY; j++)
    {
      int n = i*numRectsX + j; // 0 to numRectsX*numRectsY
      fill(hues[n], 100, 100);
      rect(i*w, j*h, w, h);
    }
  }
}

void mouseClicked()
{
   int maxHue = (int)map(mouseX, 0, width, 0, 360);
   pickColors(maxHue-100, maxHue); //pick red-ish
}
  
  